Skip to navigation

Team Folder Activate

View as Markdown

Sets an archived team folder’s status to active.

Permission : Team member file access.

Required scope: team_data.content.write

Endpoint format: RPC

Authentication: Team

Authentication

AuthorizationBearer

Team-level OAuth 2.0 token issued to a Dropbox Business admin. Use Authorization: Bearer <token>.

Obtain via the authorization code flow with team-scoped permissions.

Grants access to team-wide administrative operations.

You can generate a short-lived access token from the App Console; see Testing with a generated token.

Request

This endpoint expects an object.
team_folder_idstringRequiredformat: "[-_0-9a-zA-Z:]+"
The ID of the team folder.

Response headers

X-Dropbox-Request-IdstringOptional
A unique identifier for the request, useful for debugging and support.

Response

Successful response
content_sync_settingslist of objects
Sync settings applied to contents of this team folder.
is_team_shared_dropboxboolean
True if this team folder is a shared team root.
namestring
The name of the team folder.
statusobject
The status of the team folder.
Variant:
team.TeamFolderStatus.activeobject

The team folder and sub-folders are available to all members.

sync_settingobject
The sync setting applied to this team folder.
Variant:
files.SyncSetting.defaultobject
On first sync to members' computers, the specified folder will follow its parent folder's setting or otherwise follow default sync behavior.
team_folder_idstringformat: "[-_0-9a-zA-Z:]+"
The ID of the team folder.
quota_limitlongOptional
The quota limit in bytes for this team folder namespace tree.

Errors

401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error